package com.huiju.welcome.controller;

import com.huiju.welcome.common.base.BaseController;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaWechatUser;
import com.huiju.welcome.service.ITaMiniFormidsService;
import com.huiju.welcome.service.ITaWechatUserService;
import com.huiju.welcome.utils.JWTUtils;
import com.huiju.welcome.utils.StringUtils;
import org.apache.http.HttpStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/")
public class TaMiniFormidsController extends BaseController {

    @Autowired
    ITaMiniFormidsService taMiniFormidsService;

    @Autowired
    ITaWechatUserService iTaWechatUserService;

    @PostMapping("/miniapp/formid")
    public ResponseBean save(@RequestBody String paramStr, HttpServletRequest request) {
        String userId = JWTUtils.getSubject(request);
        if (StringUtils.isEmpty(userId)) {
            return ResponseBean.error("需要用户登录信息", HttpStatus.SC_BAD_REQUEST);
        }

        TaWechatUser taWechatUser = iTaWechatUserService.getById(Integer.valueOf(userId));

        return taMiniFormidsService.saveFormidBy(taWechatUser.getOpenid(), paramStr);
    }
}
